Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361241 - openvswitch upstream datapath geneve module backport
Summary: openvswitch upstream datapath geneve module backport
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Eric Garver
QA Contact: ovs-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1323148
TreeView+ depends on / blocked
 
Reported: 2016-07-28 15:18 UTC by Thadeu Lima de Souza Cascardo
Modified: 2017-11-07 00:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1361236
Environment:
Last Closed: 2017-04-10 22:10:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Thadeu Lima de Souza Cascardo 2016-07-28 15:18:57 UTC
+++ This bug was initially created as a clone of Bug #1361236 +++

Add support to the rtnetlink interface to the out-of-tree geneve module on openvswitch datapath.

Comment 2 Eric Garver 2016-08-11 17:12:28 UTC
Closing this BZ. No changes required.

The only real difference I found has since been recently backported upstream.

  225577760435 ("datapath: backport: geneve: fix max_mtu setting")

I've tested the geneve port creation with the rtnetlink patch series (1323148). The geneve ports are created as expeceted. openvswitch test "check-kmod" passes on an upstream 4.6 kernel.

Comment 3 Eric Garver 2016-08-12 18:55:49 UTC
Re-open. Still need a couple fixes for rtnetlink.

Comment 5 Eric Garver 2017-04-10 22:10:50 UTC
Upstream is close to accepting the rtnetlink patch series and adding rtnetlink support to the OVS datapath modules is no longer necessary. OVS datapath modules will continue to use the compat interface.


Note You need to log in before you can comment on or make changes to this bug.